LinuxQuestions.org
Latest LQ Deal: Complete CCNA, CCNP & Red Hat Certification Training Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 10-11-2017, 01:37 AM   #796
USUARIONUEVO
Member
 
Registered: Apr 2015
Posts: 661

Rep: Reputation: 202Reputation: 202Reputation: 202

here is one, not build ...

perl-DateTime-Format-Strptime

Quote:
t/005_croak.t ............... 1/? Unescaped left brace in regex is illegal here in regex; marked by <-- HERE in m/\%%{ <-- HERE gumtree}/ at /usr/src/slapt-src/perl/perl-DateTime-Format-Strptime/DateTime-Format-Strptime-1.56/blib/lib/DateTime/Format/Strptime.pm line 191.
new versions have heavy depends

Quote:
# *** WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING ***
#
# The following REQUIRED prerequisites were not satisfied:
#
# DateTime::Locale version '0.45' is not in required range '1.05'
# DateTime::Locale::FromData is not installed (any version required)
# DateTime::TimeZone version '1.70' is not in required range '2.09'
# Package:eprecationManager version '0.13' is not in required range '0.15'
# Params::ValidationCompiler is not installed (any version required)
# Specio is not installed (version '0.33' required)
# Specio:eclare is not installed (any version required)
# Specio::Exporter is not installed (any version required)
# Specio::Library::Builtins is not installed (any version required)
# Specio::Library::String is not installed (any version required)

disabling "make test" , is good for 1.54 , builds if not make test.

Last edited by USUARIONUEVO; 10-11-2017 at 01:43 AM.
 
Old 10-11-2017, 03:48 AM   #797
willysr
Senior Member
 
Registered: Jul 2004
Location: Jogja, Indonesia
Distribution: Slackware-Current
Posts: 3,677

Rep: Reputation: 980Reputation: 980Reputation: 980Reputation: 980Reputation: 980Reputation: 980Reputation: 980Reputation: 980
some of those are runtime dependencies, so even though it built fine, it won't be useful for others

and some of those are part of perl-DateTime-Locale dependencies, not perl-DateTime-Format-Strptime directly (more like deps of deps)

Last edited by willysr; 10-11-2017 at 03:50 AM.
 
Old 10-14-2017, 06:33 PM   #798
USUARIONUEVO
Member
 
Registered: Apr 2015
Posts: 661

Rep: Reputation: 202Reputation: 202Reputation: 202
Hi , first fo all , sorry for my bad english , i try explain two isuues , one easy to understand and other , a little hard to explain.

1 - easy , libtorrent-rasterbar-1.1.5 is out , i comment this cause builds fine vs boost in current without patches , no need patches and builds fine , this is only informational , cause 1.1.4 + patch builds , i comment only to put out a old version needing patches.


2 - there is the hard to explain , but i try ,in the last batch of perl updates , i encounter some package managers (slapt-src) , go to segmentation fault when try to solve dependencias in this case...

http://slackbuilds.org/repository/14...ch=deprecation

In require , he declares at needed --> perl-Package-Stash

But see ... and pay attention on this ...

http://slackbuilds.org/repository/14...Package-Stash/

say need as dependency --> perl-Package-DeprecationManager


descrition to understand

perl-Package-DeprecationManager needs perl-Package-Stash
perl-Package-Stash needs perl-Package-DeprecationManager

that is not coherent , cause cant build one without other , this casue package managers to "segmentation fault" cause cant resolv dependencies.

To solve this need to remove in the requires of perl-Package-Stash the perl-Package-DeprecationManager dependencie.


Quote:
PRGNAM="perl-Package-Stash"
VERSION="0.37"
HOMEPAGE="https://metacpan.org/pod/Package::Stash"
DOWNLOAD="http://www.cpan.org/authors/id/D/DO/DOY/Package-Stash-0.37.tar.gz"
MD5SUM="7e47a8261312e1cf3d12bd2007916b66"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="perl-Dist-CheckConflicts perl-Package-DeprecationManager perl-Package-Stash-XS perl-Module-Implementation"
MAINTAINER="David Somero"
EMAIL="dsomero@hotmail.com"

Thanks !

Last edited by USUARIONUEVO; 10-14-2017 at 06:39 PM.
 
Old 10-14-2017, 07:14 PM   #799
willysr
Senior Member
 
Registered: Jul 2004
Location: Jogja, Indonesia
Distribution: Slackware-Current
Posts: 3,677

Rep: Reputation: 980Reputation: 980Reputation: 980Reputation: 980Reputation: 980Reputation: 980Reputation: 980Reputation: 980
Quote:
Originally Posted by USUARIONUEVO View Post
2 - there is the hard to explain , but i try ,in the last batch of perl updates , i encounter some package managers (slapt-src) , go to segmentation fault when try to solve dependencias in this case...

http://slackbuilds.org/repository/14...ch=deprecation

In require , he declares at needed --> perl-Package-Stash

But see ... and pay attention on this ...

http://slackbuilds.org/repository/14...Package-Stash/

say need as dependency --> perl-Package-DeprecationManager


descrition to understand

perl-Package-DeprecationManager needs perl-Package-Stash
perl-Package-Stash needs perl-Package-DeprecationManager

that is not coherent , cause cant build one without other , this casue package managers to "segmentation fault" cause cant resolv dependencies.

To solve this need to remove in the requires of perl-Package-Stash the perl-Package-DeprecationManager dependencie.

Thanks !
Thanks for spotting the problem.
 
Old 10-14-2017, 07:26 PM   #800
USUARIONUEVO
Member
 
Registered: Apr 2015
Posts: 661

Rep: Reputation: 202Reputation: 202Reputation: 202
@willysr

Thanks for incredible fast FIX , with new public update. :=)


And say "sorry" to ponce , cause thinking this, the problem affect all , not only -current. :=(
 
Old 11-20-2017, 08:55 AM   #801
brodo
Member
 
Registered: Jan 2004
Location: Poland, Poznan
Distribution: Slackware current 32
Posts: 286

Rep: Reputation: 19
Hi Ponce,

I tried to compile Sigil, but unfortunately I got this :

Code:
 [ 76%] Building CXX object src/Sigil/CMakeFiles/sigil.dir/SourceUpdates/AnchorUpdates.cpp.o
cd /tmp/SBo/sigil-0.7.4/build/src/Sigil && /usr/bin/c++  -DQT_CONCURRENT_LIB -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_SVG_LIB -DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS -DQT_WEBKITWIDGETS_LIB -DQT_WEBKIT_LIB -DQT_WIDGETS_LIB -DQT_XMLPATTERNS_LIB -DQT_XML_LIB -DXERCES_STATIC_LIBRARY -I/tmp/SBo/sigil-0.7.4/build/src/Sigil/sigil_autogen/include -I/tmp/SBo/sigil-0.7.4/build/src/Sigil -I/tmp/SBo/sigil-0.7.4/src/Sigil -I/tmp/SBo/sigil-0.7.4/src/Xerces -I/tmp/SBo/sigil-0.7.4/src/XercesExtensions -I/tmp/SBo/sigil-0.7.4/src/minizip -I/tmp/SBo/sigil-0.7.4/src/tidyLib -I/usr/include/hunspell -I/tmp/SBo/sigil-0.7.4/src/FlightCrew -isystem /usr/include/qt5 -isystem /usr/include/qt5/QtWidgets -isystem /usr/include/qt5/QtGui -isystem /usr/include/qt5/QtCore -isystem /usr/lib/qt5/./mkspecs/linux-g++ -isystem /usr/include/qt5/QtXml -isystem /usr/include/qt5/QtXmlPatterns -isystem /usr/include/qt5/QtNetwork -isystem /usr/include/qt5/QtPrintSupport -isystem /usr/include/qt5/QtSvg -isystem /usr/include/qt5/QtWebKit -isystem /usr/include/qt5/QtWebKitWidgets -isystem /usr/include/qt5/QtConcurrent  -O2 -march=i486 -mtune=i686 -O3 -DNDEBUG   -Wall -fPIC -std=gnu++11 -o CMakeFiles/sigil.dir/SourceUpdates/AnchorUpdates.cpp.o -c /tmp/SBo/sigil-0.7.4/src/Sigil/SourceUpdates/AnchorUpdates.cpp
/tmp/SBo/sigil-0.7.4/src/Sigil/SourceUpdates/AnchorUpdates.cpp: In static member function 'static void AnchorUpdates::UpdateAllAnchorsWithIDs(const QList<HTMLResource*>&)':
/tmp/SBo/sigil-0.7.4/src/Sigil/SourceUpdates/AnchorUpdates.cpp:47:83: error: '_1' was not declared in this scope
 nt::blockingMap(html_resources, boost::bind(UpdateAnchorsInOneFile, _1, ID_locations));
                                                                     ^~
/tmp/SBo/sigil-0.7.4/src/Sigil/SourceUpdates/AnchorUpdates.cpp:47:83: note: suggested alternatives:
In file included from /usr/include/boost/smart_ptr/detail/shared_count.hpp:38:0,
                 from /usr/include/boost/smart_ptr/shared_ptr.hpp:28,
                 from /usr/include/boost/shared_ptr.hpp:17,
                 from /tmp/SBo/sigil-0.7.4/src/Sigil/SourceUpdates/AnchorUpdates.cpp:23:
/usr/include/c++/7.2.0/functional:275:34: note:   'std::placeholders::_1'
     extern const _Placeholder<1> _1;
                                  ^~
In file included from /usr/include/boost/bind/bind.hpp:2319:0,
                 from /tmp/SBo/sigil-0.7.4/src/Sigil/SourceUpdates/AnchorUpdates.cpp:22:
/usr/include/boost/bind/placeholders.hpp:46:38: note:   'boost::placeholders::_1'
 BOOST_STATIC_CONSTEXPR boost::arg<1> _1;
                                      ^~
/tmp/SBo/sigil-0.7.4/src/Sigil/SourceUpdates/AnchorUpdates.cpp: In static member function 'static void AnchorUpdates::UpdateExternalAnchors(const QList<HTMLResource*>&, const QString&, QList<HTMLResource*>)':
/tmp/SBo/sigil-0.7.4/src/Sigil/SourceUpdates/AnchorUpdates.cpp:54:91: error: '_1' was not declared in this scope
 kingMap(html_resources, boost::bind(UpdateExternalAnchorsInOneFile, _1, originating_filename, ID_locations));
                                                                     ^~
/tmp/SBo/sigil-0.7.4/src/Sigil/SourceUpdates/AnchorUpdates.cpp:54:91: note: suggested alternatives:
In file included from /usr/include/boost/smart_ptr/detail/shared_count.hpp:38:0,
                 from /usr/include/boost/smart_ptr/shared_ptr.hpp:28,
                 from /usr/include/boost/shared_ptr.hpp:17,
                 from /tmp/SBo/sigil-0.7.4/src/Sigil/SourceUpdates/AnchorUpdates.cpp:23:
/usr/include/c++/7.2.0/functional:275:34: note:   'std::placeholders::_1'
     extern const _Placeholder<1> _1;
                                  ^~
In file included from /usr/include/boost/bind/bind.hpp:2319:0,
                 from /tmp/SBo/sigil-0.7.4/src/Sigil/SourceUpdates/AnchorUpdates.cpp:22:
/usr/include/boost/bind/placeholders.hpp:46:38: note:   'boost::placeholders::_1'
 BOOST_STATIC_CONSTEXPR boost::arg<1> _1;
                                      ^~
/tmp/SBo/sigil-0.7.4/src/Sigil/SourceUpdates/AnchorUpdates.cpp: In static member function 'static void AnchorUpdates::UpdateAllAnchors(const QList<HTMLResource*>&, const QStringList&, HTMLResource*)':
/tmp/SBo/sigil-0.7.4/src/Sigil/SourceUpdates/AnchorUpdates.cpp:68:86: error: '_1' was not declared in this scope
 :blockingMap(html_resources, boost::bind(UpdateAllAnchorsInOneFile, _1, originating_filename_links, ID_locations, new_filename_with_relative_path));
                                                                     ^~
/tmp/SBo/sigil-0.7.4/src/Sigil/SourceUpdates/AnchorUpdates.cpp:68:86: note: suggested alternatives:
In file included from /usr/include/boost/smart_ptr/detail/shared_count.hpp:38:0,
                 from /usr/include/boost/smart_ptr/shared_ptr.hpp:28,
                 from /usr/include/boost/shared_ptr.hpp:17,
                 from /tmp/SBo/sigil-0.7.4/src/Sigil/SourceUpdates/AnchorUpdates.cpp:23:
/usr/include/c++/7.2.0/functional:275:34: note:   'std::placeholders::_1'
     extern const _Placeholder<1> _1;
                                  ^~
In file included from /usr/include/boost/bind/bind.hpp:2319:0,
                 from /tmp/SBo/sigil-0.7.4/src/Sigil/SourceUpdates/AnchorUpdates.cpp:22:
/usr/include/boost/bind/placeholders.hpp:46:38: note:   'boost::placeholders::_1'
 BOOST_STATIC_CONSTEXPR boost::arg<1> _1;
                                      ^~
make[2]: *** [src/Sigil/CMakeFiles/sigil.dir/build.make:988: src/Sigil/CMakeFiles/sigil.dir/SourceUpdates/AnchorUpdates.cpp.o] Error 1
make[2]: Leaving directory '/tmp/SBo/sigil-0.7.4/build'
make[1]: *** [CMakeFiles/Makefile2:408: src/Sigil/CMakeFiles/sigil.dir/all] Error 2
make[1]: Leaving directory '/tmp/SBo/sigil-0.7.4/build'
make: *** [Makefile:130: all] Error 2
bash-4.4#
 
Old 11-20-2017, 09:30 AM   #802
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 3,853

Original Poster
Rep: Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901
apply this patch to the SlackBuild to build version 0.9.8
Code:
diff -Naur sigil.old/sigil.SlackBuild sigil/sigil.SlackBuild
--- sigil.old/sigil.SlackBuild  2017-11-20 15:30:00.165698000 +0100
+++ sigil/sigil.SlackBuild      2017-11-20 15:29:49.453698000 +0100
@@ -24,13 +24,13 @@
 
 PRGNAM=sigil
 SRCNAM=Sigil
-VERSION=${VERSION:-0.7.4}
+VERSION=${VERSION:-0.9.8}
 BUILD=${BUILD:-1}
 TAG=${TAG:-_SBo}
 
 if [ -z "$ARCH" ]; then
   case "$( uname -m )" in
-    i?86) ARCH=i486 ;;
+    i?86) ARCH=i586 ;;
     arm*) ARCH=arm ;;
        *) ARCH=$( uname -m ) ;;
   esac
@@ -41,8 +41,8 @@
 PKG=$TMP/package-$PRGNAM
 OUTPUT=${OUTPUT:-/tmp}
 
-if [ "$ARCH" = "i486" ]; then
-  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
   LIBDIRSUFFIX=""
 elif [ "$ARCH" = "i686" ]; then
   SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -60,19 +60,19 @@
 rm -rf $PKG
 mkdir -p $TMP $PKG $OUTPUT
 cd $TMP
-rm -rf $PRGNAM-$VERSION
-mkdir -p $PRGNAM-$VERSION
-cd $PRGNAM-$VERSION
-unzip $CWD/$SRCNAM-$VERSION-Code.zip
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
 chown -R root:root .
 find -L . \
  \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
   -o -perm 511 \) -exec chmod 755 {} \; -o \
  \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+  -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
 
-# Fix end of line encoding.
-sed -i 's/\r//g' ChangeLog.txt COPYING.txt INSTALL.txt README.txt
+sed -i "s|/lib/sigil|/lib$LIBDIRSUFFIX/sigil|" \
+  CMakeLists.txt src/CMakeLists.txt \
+  src/Resource_Files/bash/sigil-sh_install
 
 mkdir build
 cd build
@@ -86,18 +86,18 @@
   make install DESTDIR=$PKG
 cd ..
 
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
   | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
 
 for i in 16 32 48 128 256 512; do
-  install -D -m 0644 src/Sigil/Resource_Files/icon/app_icon_${i}.png \
+  install -D -m 0644 src/Resource_Files/icon/app_icon_${i}.png \
     $PKG/usr/share/icons/hicolor/${i}x${i}/apps/$PRGNAM.png
 done
 rm -rf $PKG/usr/share/pixmaps
 
 mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
 cp -a \
-  ChangeLog.txt COPYING.txt INSTALL.txt README.txt \
+  ChangeLog.txt COPYING.txt README.md \
   $PKG/usr/doc/$PRGNAM-$VERSION
 cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
 
diff -Naur sigil.old/sigil.info sigil/sigil.info
--- sigil.old/sigil.info        2017-11-17 09:14:34.691886881 +0100
+++ sigil/sigil.info    2017-11-20 15:05:25.766698000 +0100
@@ -1,8 +1,8 @@
 PRGNAM="sigil"
-VERSION="0.7.4"
+VERSION="0.9.8"
 HOMEPAGE="https://sigil-ebook.com/"
-DOWNLOAD="https://storage.googleapis.com/google-code-archive-downloads/v2/code.google.com/sigil/Sigil-0.7.4-Code.zip"
-MD5SUM="dde8f3b8daa0ccd37589ea2aa454e1bc"
+DOWNLOAD="https://github.com/Sigil-Ebook/Sigil/archive/0.9.8/sigil-0.9.8.tar.gz"
+MD5SUM="bd36d282c724d41c4d2910135df18dc0"
 DOWNLOAD_x86_64=""
 MD5SUM_x86_64=""
 REQUIRES="qt5-webkit"
 
Old 11-20-2017, 03:52 PM   #803
brodo
Member
 
Registered: Jan 2004
Location: Poland, Poznan
Distribution: Slackware current 32
Posts: 286

Rep: Reputation: 19
Probably I messed something, because patching (patch -p1 < $CWD/ponce.patch) stopped:

Code:
  inflating: src/zlib/zutil.h        
can't find file to patch at input line 4
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -Naur sigil.old/sigil.SlackBuild sigil/sigil.SlackBuild
|--- sigil.old/sigil.SlackBuild  2017-11-20 15:30:00.165698000 +0100
|+++ sigil/sigil.SlackBuild      2017-11-20 15:29:49.453698000 +0100
--------------------------
File to patch:
 
Old 11-20-2017, 04:01 PM   #804
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 3,853

Original Poster
Rep: Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901
you have to patch the slackbuild files themselves (applying the patch when inside of the directory where sigil.SlackBuild is located), not the sources of sigil

Last edited by ponce; 11-20-2017 at 04:03 PM.
 
Old 11-20-2017, 11:50 PM   #805
brodo
Member
 
Registered: Jan 2004
Location: Poland, Poznan
Distribution: Slackware current 32
Posts: 286

Rep: Reputation: 19
Quote:
Originally Posted by ponce View Post
you have to patch the slackbuild files themselves (applying the patch when inside of the directory where sigil.SlackBuild is located), not the sources of sigil
Not optimal output I suppose ...

Code:
bash-4.4# patch -p1 < ./ponce.patch
patching file sigil.SlackBuild
patching file sigil.info
patch unexpectedly ends in middle of line
patch unexpectedly ends in middle of line
bash-4.4#
 
Old 11-21-2017, 12:14 AM   #806
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 3,853

Original Poster
Rep: Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901
you can also try downloading the patch from here

http://cgit.ponce.cc/slackbuilds/commit/?h=sigil

You have to apply this with "patch -p3"

Last edited by ponce; 11-21-2017 at 02:52 AM.
 
Old Today, 01:33 PM   #807
aaazen
Member
 
Registered: Dec 2009
Location: California
Distribution: Slackware
Posts: 307

Rep: Reputation: 140Reputation: 140
Bcache bug with Slackware current (Linux 4.14.1)

Bcache should not be run in current because of a kernel bug in 4.14.1

https://www.linuxquestions.org/quest...ml#post5784295

I see that 4.14.2 has a patch but it looks like "brand new beta" code to me... Be careful and test thoroughly.
 
  


Reply

Tags
current, sbo, sbopkg, slackrepo


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Error building gst1-plugins-good 1.4.1 from SBO l0rddarkf0rce Slackware 4 10-06-2014 06:58 PM
[SOLVED] Failure building nvidia-kernel Slackbuild from SBo sysfce2 Slackware 7 07-02-2011 02:10 AM
problems building fontforge from SBo gtludwig Slackware 7 05-12-2010 02:52 PM
Pls help me take my 1st step! verysoon Fedora - Installation 2 12-12-2005 08:49 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 10:02 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration